Subject: RE: [Sip] Outbound: Multiple flows and forking

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Wed, 5 Apr 2006 16:41:08 +0200

Hi, 

>I'm confused.  You can't "connect" to two outbound proxies
simultaneously without Registering on each.

[CHH] You WOULD register on each. You would register the same AoR, with
different reg-ids.

>There would be no point to being connected to the one you didn't
register through.  For battery life, wouldn't the STUN 
>or TCP keep-alive drain it even more?  The register message does not
need to be sent very often relative to those.

[CHH] If you MUST send a register to EACH outbound proxy, you could end
up having to send keep-alives on EACH of those flows, and THAT drains
the battery more than sending a single REGISTER (even if the UA supports
multiple outbound proxies) and then sending keep-alives on that SINGLE
flow.

>What is a little screwed up is that the spec strongly implies (or
mandates) a UA has to support two simultaneous 
>connections, which is clearly not the case.  

[CHH] Well, that is how I read the spec :) 

The text says: "For each outbound proxy URI in the set, the UA MUST send
a REGISTER in the normal way using this URI as the default outbound
proxy.". IF the text means something else it needs rewording.

Regards,

Christer

> -----Original Message-----
> From: Christer Holmberg (JO/LMF) 
> [mailto:[email-masked]]
> Sent: Wednesday, April 05, 2006 9:33 AM
> To: Jonathan Rosenberg
> Cc: [email-masked]
> Subject: RE: [Sip] Outbound: Multiple flows and forking
> 
> 
> Hi Jonathan,
> 
> >A couple of issues on chapter 4.2.
> >
> >The text says:
> >
> >"However, a UA MUST support sets with at least two outbound proxy 
> >URIs (primary and backup) and SHOULD support sets with up to four
URIs.
> >For each outbound proxy URI in the set, the UA MUST send a REGISTER 
> >in
> the
> >normal way using this URI as the default outbound proxy."
> >
> >I don't think we should mandate this, because it is very much 
> >dependent on the architecture, transport techniques etc.
> 
> Mandate what? The minimal number of outbound proxies that should be 
> supported? Or the fact that you register on each?
> 
> [CHH] Both, but ESPECIALLY the fact that you register on all of them.
> 
> >For the latter, its an essential part of the story so I don't see how
> you can make it optional.
> 
> [CHH] It may very well be a good thing to do, but because of the 
> battery issue (and maybe other issues I can't think of at the moment) 
> I think it should be optional.
> 
> >In the former case, if you don't specify a minimum that is supported,
> how do you have interop?
> 
> [CHH] I don't see what this has to do with interop. The entities are 
> supposed to work no matter if a single flow, or multiple flows, have 
> been created. A registrar shall of course be prepared to support 
> multiple flows, even if the spec doesn't mandate the user to creat
them.
> 
> 
> Regards,
> 
> Christer
> 
> 
> 
> 
> 
> --
> Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
> Cisco Fellow                                   Parsippany, NJ
07054-2711
> Cisco Systems
> [email-masked]                              FAX:   (973) 952-5050
> http://www.jdrosen.net                         PHONE: (973) 952-5000
> http://www.cisco.com
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Jeroen van Bemmel" <[email-masked]>
Date: Wed, 5 Apr 2006 17:04:20 +0200

Christer,

[Jvb] Actually, if you would somehow (be allowed to) synchronize the 
keepalives for all flows, the impact on the battery wouldn't be linear in 
the number of flows. Once the network link is up, sending 1 or a bunch of 
messages isn't that much more expensive

Perhaps a remark on this could be added to the draft - i.e. let the UA draw 
a random number from 24..29 (UDP) or 95..120 (TCP), but allow it to use the 
same interval on multiple, independent flows (i.e. primary and backup)

Regards,

Jeroen